#! /bin/sh

STATE_OK=0
STATE_WARNING=1
STATE_CRITICAL=2
STATE_UNKNOWN=3
STATE_DEPENDENT=4
SERVER_NAME=$1

if (test -z $SERVER_NAME); then
        echo -e "\nUser the following Command Syntax:\n"
        echo -e "./addrrd.sh <ServerName>\n"
        exit 1
fi


echo "Verifying current user is Nagios"

if !(whoami |grep nagios); then
        echo "You must be user Nagios before running this script"
        exit 1
fi

echo "Making sure rrd file doesn't already exist"

if (test -e /usr/local/nagios/rrd/$SERVER_NAME.rrd); then
        echo -e "\n **** Error ****\n"
        echo -e "$SERVER_NAME.rrd file already exists it will be overwritten\n"
        echo -e "Do you want to continue (Y/n)  \c"
        read ANSWER
        if (test $ANSWER = 'N' || test $ANSWER = 'n'); then
                exit 1
        fi
fi


if !(/usr/local/rrdtool/bin/rrdtool create \
                /usr/local/nagios/rrd/$SERVER_NAME.rrd \
                --step 180 \
                DS:cpu:GAUGE:600:0:100 \
                DS:mem:GAUGE:600:0:100 \
                RRA:AVERAGE:0.5:1:600 \
                RRA:AVERAGE:0.5:6:700 \
                RRA:AVERAGE:0.5:24:775 \
                RRA:AVERAGE:0.5:288:797 \
                RRA:MAX:0.5:1:600 \
                RRA:MAX:0.5:6:700 \
                RRA:MAX:0.5:24:775 \
                RRA:MAX:0.5:288:797); then
        echo "Problem creating rrd file"
fi

ls -1 /usr/local/nagios/rrd/$SERVER_NAME*

