#! /bin/sh

# for each file in the rrd directory create 4 graphs

for file in `ls -F /usr/local/nagios/rrd | grep -v "/"`; do

        # extract servername
        SERVER_NAME=${file%????}
        echo $SERVER_NAME

        # Overview/Thumbnail Graph

        /usr/local/rrdtool/bin/rrdtool graph /usr/local/httpd/htdocs/graphs/$SERVER_NAME.thumb.gif \
        --start="-86400" \
        --title="$SERVER_NAME (Last 24 Hours)" \
        --rigid \
        --base=1000 \
        --height=100 \
        --width=230 \
        --upper-limit=100 \
        --lower-limit=0 \
        --vertical-label="In Percent (%)" \
        DEF:cpu="/usr/local/nagios/rrd/$SERVER_NAME.rrd":cpu:AVERAGE \
        DEF:mem="/usr/local/nagios/rrd/$SERVER_NAME.rrd":mem:AVERAGE \
        LINE2:cpu#35962B:"CPU Load" \
        GPRINT:cpu:LAST:'Current\: %8.2lf %s\n' \
        LINE3:mem#FF4105:"Memory Usage" \
        GPRINT:mem:LAST:'Current\: %8.2lf %s\n'


        # 5 min average 1 day
        /usr/local/rrdtool/bin/rrdtool graph /usr/local/httpd/htdocs/graphs/$SERVER_NAME.1day.gif \
        --start="-86400" \
        --title="5 Minute Average for 1 Day" \
        --rigid \
        --base=1000 \
        --height=300 \
        --width=750 \
        --upper-limit=100 \
        --lower-limit=0 \
        --vertical-label="In Percent (%)" \
        DEF:cpu="/usr/local/nagios/rrd/$SERVER_NAME.rrd":cpu:AVERAGE \
        DEF:mem="/usr/local/nagios/rrd/$SERVER_NAME.rrd":mem:AVERAGE \
        LINE2:cpu#35962B:"CPU Load" \
        GPRINT:cpu:LAST:'Current\: %8.2lf %s\n' \
        LINE3:mem#FF4105:"Memory Usage" \
        GPRINT:mem:LAST:'Current\: %8.2lf %s\n'

        # 30 min average 1 week
        /usr/local/rrdtool/bin/rrdtool graph /usr/local/httpd/htdocs/graphs/$SERVER_NAME.1week.gif \
        --start="-604800" \
        --title="30 Minute Average for 1 Week" \
        --rigid \
        --base=1000 \
        --height=300 \
        --width=750 \
        --upper-limit=100 \
        --lower-limit=0 \
        --vertical-label="In Percent (%)" \
        DEF:cpu="/usr/local/nagios/rrd/$SERVER_NAME.rrd":cpu:AVERAGE \
        DEF:mem="/usr/local/nagios/rrd/$SERVER_NAME.rrd":mem:AVERAGE \
        LINE2:cpu#35962B:"CPU Load" \
        GPRINT:cpu:LAST:'Current\: %8.2lf %s\n' \
        LINE3:mem#FF4105:"Memory Usage" \
        GPRINT:mem:LAST:'Current\: %8.2lf %s\n'

        # 2 Hour average 1 Month
        /usr/local/rrdtool/bin/rrdtool graph /usr/local/httpd/htdocs/graphs/$SERVER_NAME.1month.gif \
        --start="-2678400" \
        --title="2 Hour Average for 1 Month" \
        --rigid \
        --base=1000 \
        --height=300 \
        --width=750 \
        --upper-limit=100 \
        --lower-limit=0 \
        --vertical-label="In Percent (%)" \
        DEF:cpu="/usr/local/nagios/rrd/$SERVER_NAME.rrd":cpu:AVERAGE \
        DEF:mem="/usr/local/nagios/rrd/$SERVER_NAME.rrd":mem:AVERAGE \
        LINE2:cpu#35962B:"CPU Load" \
        GPRINT:cpu:LAST:'Current\: %8.2lf %s\n' \
        LINE3:mem#FF4105:"Memory Usage" \
        GPRINT:mem:LAST:'Current\: %8.2lf %s\n'

        # 1 Day average for 1 Year
        /usr/local/rrdtool/bin/rrdtool graph /usr/local/httpd/htdocs/graphs/$SERVER_NAME.1year.gif \
        --start="-33053184" \
        --title="1 Day Average for 1 Year" \
        --rigid \
        --base=1000 \
        --height=300 \
        --width=750 \
        --upper-limit=100 \
        --lower-limit=0 \
        --vertical-label="In Percent (%)" \
        DEF:cpu="/usr/local/nagios/rrd/$SERVER_NAME.rrd":cpu:AVERAGE \
        DEF:mem="/usr/local/nagios/rrd/$SERVER_NAME.rrd":mem:AVERAGE \
        LINE2:cpu#35962B:"CPU Load" \
        GPRINT:cpu:LAST:'Current\: %8.2lf %s\n' \
        LINE3:mem#FF4105:"Memory Usage" \
        GPRINT:mem:LAST:'Current\: %8.2lf %s\n'

done
